<template>
  <h-input v-model:value="value" placeholder="请选择项目号"></h-input>
</template>
<script lang="ts">
import { defineComponent, ref } from 'vue';
import { Input } from '@crami/ui';

export default defineComponent({
  name: 'Test',
  props: {
    defaultValue: {
      type: String,
      default: '',
    },
  },
  components: { HInput: Input },
  setup(props) {
    const value = ref(props.defaultValue);
    const getData = () => {
      return value.value;
    };
    return { value, getData };
  },
});
</script>
